Public Member Functions | List of all members
GreatWksGraphInternal::FrameBad Struct Reference

Internal: a unknown zone of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::FrameBad:

## Public Member Functions
| FrameBad ()
| constructor More...
| ~FrameBad ()
| destructor More...
virtual Type | getType () const
| return the frame type More...
Public Member Functions inherited from GreatWksGraphInternal::Frame
| Frame ()
| constructor More...
virtual | ~Frame ()
| destructor More...
virtual void | print (std::ostream &o) const
| a virtual print function More...

## Additional Inherited Members
Public Types inherited from GreatWksGraphInternal::Frame
enum | Type { T_BAD, T_BASIC, T_GROUP, T_PICTURE, T_TEXT, T_DBFIELD, T_UNSET }
| the frame type More...
Public Attributes inherited from GreatWksGraphInternal::Frame
int | m_type
| the zone type More...
int | m_styleId
| the style identifier More...
int | m_parent
| the parent identifier More...
int | m_order
| the z order More...
long | m_dataSize
| the data size ( if know) More...
MWAWBox2f | m_box
| the zone bdbox More...
int | m_page
| the page More...
std::string | m_extra
| extra data More...
bool | m_parsed
| true if the frame is send More...

## Detailed Description

Internal: a unknown zone of a GreatWksGraph.

## Constructor & Destructor Documentation

## ◆ FrameBad()

GreatWksGraphInternal::FrameBad::FrameBad | ( |  | ) |
| inline

constructor

## ◆ ~FrameBad()

GreatWksGraphInternal::FrameBad::~FrameBad | ( |  | ) |

destructor

## Member Function Documentation

## ◆ getType()

virtual Type GreatWksGraphInternal::FrameBad::getType | ( |  | ) | const
| inline virtual

return the frame type

Reimplemented from GreatWksGraphInternal::Frame.

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx